메소드 | 설명 | |
---|---|---|
IsRectangular ( CurveArray curves ) : bool |
judge whether given 4 lines can form a rectangular judge whether given 4 lines can form a rectangular
|
|
IsVertical ( Line line1, Line line2 ) : bool |
judge whether two lines are vertical
|
메소드 | 설명 | |
---|---|---|
DotMatrix ( Autodesk p1, Autodesk p2 ) : double |
dot product of two Autodesk.Revit.DB.XYZ as Matrix
|
|
IsEqual ( double d1, double d2 ) : bool |
judge whether the subtraction of two doubles is less than the internal decided precision
|
|
SubXYZ ( Autodesk p1, Autodesk p2 ) : Autodesk.Revit.DB.XYZ |
subtraction of two Autodesk.Revit.DB.XYZ as Matrix
|
public static IsRectangular ( CurveArray curves ) : bool | ||
curves | CurveArray | |
리턴 | bool |
public static IsVertical ( Line line1, Line line2 ) : bool | ||
line1 | Line | |
line2 | Line | |
리턴 | bool |